> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set lead type for a contact



## OpenAPI

````yaml /openapi/inbox.yaml post /inbox/lead-types
openapi: 3.1.0
info:
  title: Connie Inbox API
  version: 1.0.0
  description: >
    Unified inbox API for managing conversations across email, WhatsApp, and
    LinkedIn. All endpoints require authentication unless noted otherwise.
servers:
  - url: https://connie.ai/api
    description: Production
security:
  - cookieAuth: []
tags:
  - name: Init & Counts
    description: Initialization and conversation counts
  - name: Conversations
    description: Conversation listing and retrieval
  - name: Messages
    description: Message retrieval and read status
  - name: Compose
    description: Sending emails, starting chats, and drafts
  - name: Labels
    description: Label management
  - name: Assignments
    description: Conversation assignment to team members
  - name: Search
    description: Full-text and filtered search
  - name: Attachments
    description: File attachments
  - name: Spam
    description: Spam management
  - name: Views & Starred
    description: Custom views and starred conversations
paths:
  /inbox/lead-types:
    post:
      tags:
        - Labels
      summary: Set lead type for a contact
      operationId: createLeadType
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - contactIdentifier
                - leadType
              properties:
                contactIdentifier:
                  type: string
                leadType:
                  type: string
                  enum:
                    - lead
                    - customer
                    - prospect
                    - partner
                    - other
      responses:
        '200':
          description: Lead type set
          content:
            application/json:
              schema:
                type: object
                properties:
                  leadType:
                    type: string
components:
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: session

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.